/*--------------------------------------------------------------------------
 * File : glob.h
 *
 * $Id: glob.h 1.4 1998/10/16 20:40:45 mring Exp $
 *------------------------------------------------------------------------*/

#ifndef _GLOB_H_DEFINED
#define _GLOB_H_DEFINED

/*
 *      Extern Global Variables for FPLOT
 */

extern
char    (*g_buf)[256],
        **g_label_array,
        *g_input_string,
        *g_xlabel,
        *g_y1label,
        *g_y2label,
        *g_title,
	*g_big_buffer,
        *g_plot_file,
        *g_output_file,
        *g_tmp_file,
        *g_tmp_file2,
        *g_tmp_file3;

extern
int     g_raw_mode,
        g_usesamples,
        g_xrange_auto,
        g_y1range_auto,
        g_y2range_auto,
        g_gridlines,
	g_force_y2_y1,
        g_xaxis_scale,
        g_outputformat,
        g_x_divisions,
        g_y1_divisions,
        g_y2_divisions,
        g_field_def_x,
        g_field_def_y1,
        g_field_def_y2,
        g_field_def_y3,
        g_field_def_y4,
        g_field_def_y5,
        g_field_def_y6,
        g_field_def_y7,
        g_field_def_y8,
        g_field_def_y9,
        g_field_def_y10,
        g_field_def_y11,
        g_field_def_y12,
        g_num_y_ranges,
        g_graph_type;

extern
long    g_skip_factor,
        g_num_samples_to_plot,
        g_usesamples_low,
        g_usesamples_high;

extern
double  *g_label_x, 
	*g_label_y,
	*g_label_rotate,
	*g_label_fontsize,
        g_graph_x_min,
        g_graph_x_max,
        g_graph_y1_min,
        g_graph_y1_max,
        g_graph_y2_min,
        g_graph_y2_max,
        g_true_x_min,
        g_true_x_max,
        g_papersize_length,
        g_papersize_width,

	g_fontsize_title,
	g_fontsize_xlabel,
	g_fontsize_y1label,
	g_fontsize_y2label,

        g_xrange_low,
        g_xrange_high,
        g_y1range_low,
        g_y1range_high,
        g_y2range_low,
        g_y2range_high,

        g_xmultiplier,
        g_y1multiplier,
        g_y2multiplier,

        g_xoffset,
        g_y1offset,
        g_y2offset;

extern
FILE	*g_tmp_ptr,
    	*g_tmp_ptr2,
    	*g_tmp_ptr3;

#endif  /* _GLOB_H_DEFINED */
/*------------------------------------------------------------------------*/
